function OK=Used(splitnum,Xsplsamp)

%  This function checks whether a possible splitsample has already been used 
%  as such before (OK = 1), or not (OK = 0). The function is a subfunction of
%  the Iterate function(s).
%  I/O format is OK=Used(splitnum,Xsplsamp); where splitnum is the number of
%  the possible splitsample and Xsplsamp is the vector of already used 
%  splitsample numbers.

%  Copyright
%  Lars Aarhus
%  1994

OK=0;

%If moving centers
%i=length(Xsplsamp)+1;

i=1;
while ~OK & i<=length(Xsplsamp)
  if splitnum==Xsplsamp(i)
    OK=1;
  end
  i=i+1;
end
