function ypred = plspred(x,b,P,Q,W,lv)
%  This program uses pls model parameters to predict the 
%  responses to an new x block.  Input/output sequence is:
%  ypred = plspred(x,b,P,Q,W,lv);

%  Copyright
%  Barry M. Wise
%  1991

[mx,nx] = size(x);
[mq,nq] = size(Q);
that = zeros(mx,lv);
ypred = zeros(mx,mq);
for i = 1:lv
  that(:,i) = x*W(:,i);
  x = x - that(:,i)*P(:,i)';
end
for i = 1:lv
  ypred = ypred + b(1,i)*that(:,i)*Q(:,i)';
end
