%  FUNCTION BETAI(P,A,B)
%
%  y = betai(p,a,b)
%
function y = betai(p,a,b)
	ic = 1;
	xl = 0.0;
	xr = 1.0;
	fxl = -p;
	fxr = 1.0 - p;
	if fxl * fxr > 0, error('probability not in the range(0,1) ')
	else
	   while ic < 30
	      x = (xl + xr) * 0.5;
   	      p1 = BWbeta(a,b,x);
	      fcs = p1 - p;
	      if fcs * fxl > 0
	   	 xl = x;
	   	 fxl = fcs;
	      else
	   	 xr = x;
	   	 fxr = fcs;
	      end
	      xrmxl = xr - xl;
	      if xrmxl <= 0.0001 | abs(fcs) <= 1E-4,break
	      else
	         ic = ic + 1;
   	      end
	   end
	end
	if ic == 30, error(' failed to converge '),end
	y = x;

